

# ListRestoreAccessBackupVaults
<a name="API_ListRestoreAccessBackupVaults"></a>

Returns a list of restore access backup vaults associated with a specified backup vault.

## Request Syntax
<a name="API_ListRestoreAccessBackupVaults_RequestSyntax"></a>

```
GET /logically-air-gapped-backup-vaults/backupVaultName/restore-access-backup-vaults/?maxResults=MaxResults&nextToken=NextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListRestoreAccessBackupVaults_RequestParameters"></a>

The request uses the following URI parameters.

 ** [backupVaultName](#API_ListRestoreAccessBackupVaults_RequestSyntax) **   <a name="Backup-ListRestoreAccessBackupVaults-request-uri-BackupVaultName"></a>
The name of the backup vault for which to list associated restore access backup vaults.  
Pattern: `^[a-zA-Z0-9\-\_]{2,50}$`   
Required: Yes

 ** [MaxResults](#API_ListRestoreAccessBackupVaults_RequestSyntax) **   <a name="Backup-ListRestoreAccessBackupVaults-request-uri-MaxResults"></a>
The maximum number of items to return in the response.  
Valid Range: Minimum value of 1. Maximum value of 1000.

 ** [NextToken](#API_ListRestoreAccessBackupVaults_RequestSyntax) **   <a name="Backup-ListRestoreAccessBackupVaults-request-uri-NextToken"></a>
The pagination token from a previous request to retrieve the next set of results.

## Request Body
<a name="API_ListRestoreAccessBackupVaults_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListRestoreAccessBackupVaults_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "NextToken": "string",
   "RestoreAccessBackupVaults": [ 
      { 
         "ApprovalDate": number,
         "CreationDate": number,
         "LatestRevokeRequest": { 
            "ExpiryDate": number,
            "InitiationDate": number,
            "MpaSessionArn": "string",
            "Status": "string",
            "StatusMessage": "string"
         },
         "RestoreAccessBackupVaultArn": "string",
         "VaultState": "string"
      }
   ]
}
```

## Response Elements
<a name="API_ListRestoreAccessBackupVaults_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [NextToken](#API_ListRestoreAccessBackupVaults_ResponseSyntax) **   <a name="Backup-ListRestoreAccessBackupVaults-response-NextToken"></a>
The pagination token to use in a subsequent request to retrieve the next set of results.  
Type: String

 ** [RestoreAccessBackupVaults](#API_ListRestoreAccessBackupVaults_ResponseSyntax) **   <a name="Backup-ListRestoreAccessBackupVaults-response-RestoreAccessBackupVaults"></a>
A list of restore access backup vaults associated with the specified backup vault.  
Type: Array of [RestoreAccessBackupVaultListMember](API_RestoreAccessBackupVaultListMember.md) objects

## Errors
<a name="API_ListRestoreAccessBackupVaults_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InvalidParameterValueException **   
Indicates that something is wrong with a parameter's value. For example, the value is out of range.    
 ** Context **   
  
 ** Type **   

HTTP Status Code: 400

 ** MissingParameterValueException **   
Indicates that a required parameter is missing.    
 ** Context **   
  
 ** Type **   

HTTP Status Code: 400

 ** ResourceNotFoundException **   
A resource that is required for the action doesn't exist.    
 ** Context **   
  
 ** Type **   

HTTP Status Code: 400

 ** ServiceUnavailableException **   
The request failed due to a temporary failure of the server.    
 ** Context **   
  
 ** Type **   

HTTP Status Code: 500

## See Also
<a name="API_ListRestoreAccessBackupVaults_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/backup-2018-11-15/ListRestoreAccessBackupVaults) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/backup-2018-11-15/ListRestoreAccessBackupVaults) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/backup-2018-11-15/ListRestoreAccessBackupVaults) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/backup-2018-11-15/ListRestoreAccessBackupVaults) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/backup-2018-11-15/ListRestoreAccessBackupVaults) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/backup-2018-11-15/ListRestoreAccessBackupVaults) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/backup-2018-11-15/ListRestoreAccessBackupVaults) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/backup-2018-11-15/ListRestoreAccessBackupVaults) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/backup-2018-11-15/ListRestoreAccessBackupVaults) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/backup-2018-11-15/ListRestoreAccessBackupVaults) 